Subject: Re: linux-next: April 27 (iscsi_ibft)

From: Randy Dunlap <[email-masked]>
Date: Wed, 28 Apr 2010 08:26:11 -0700

On 04/27/10 16:01, Konrad Rzeszutek Wilk wrote:
> On Tue, Apr 27, 2010 at 09:13:16AM -0700, Randy Dunlap wrote:
>> when CONFIG_ACPI is not enabled:
>>
>> drivers/firmware/iscsi_ibft_find.c:112: error: dereferencing pointer to incomplete type
>> drivers/firmware/iscsi_ibft_find.c:112: error: dereferencing pointer to incomplete type
>> drivers/firmware/iscsi_ibft_find.c:112: warning: type defaults to 'int' in declaration of 'type name'
>> drivers/firmware/iscsi_ibft_find.c:112: error: dereferencing pointer to incomplete type
>> drivers/firmware/iscsi_ibft_find.c:112: warning: type defaults to 'int' in declaration of 'type name'
> 
> Yikes.
> 
> Randy, thank you for spotting this and sending an e-mail my way.
> 
> It is all b/c we now use the 'struct acpi_table_ibft *ibft_addr' which
> is gone when !CONFIG_ACPI.
> 
> Peter, if we did in an #ifdef !CONFIG_ACPI in iscsi_ibft.h and included
> a copy of the old ibft_struct that should work.
> 
> Or we make the code dependent on CONFIG_ACPI (in the Kconfig
> file).
> 
> Peter, Randy: Which option do you think makes more sense?

I think that you and Peter know more about that than I do.
I'd go for the Kconfig dependency.

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***